#
# spec file for package fou4s (Version 0.0.4)
# 
# Copyright  (c)  2002  Markus Gaugusch <markus@gaugusch.at>
#

Name:         fou4s
Provides:     fou4s
Copyright:    GPL
Group:        Utilities/Text 
Version:      0.3.0
Release:      10
Group:        Applications/System
Summary:      Fast OnlineUpdate for SuSE
Distribution: SuSE Linux
URL:          http://fou4s.gaugusch.at/
Source: http://fou4s.gaugusch.at/download/fou4s-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build
Packager:     Markus Gaugusch <markus@gaugusch.at>
Requires:     wget gpg

%description
fou4s is a replacement for SuSE's Yast OnlineUpdate (YOU). It uses the same update description files and is therefore a complete, lightweight alternative.

Authors:
--------
    Markus Gaugusch <markus@gaugusch.at>

%prep
%setup

%build
#make

%install
if [ -n "%{buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make ROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/fou4s
/usr/bin/fou4s-benchmark
%dir /var/cache/fou4s/packages
%dir /var/cache/fou4s/packagelist
%config /etc/fou4s
%doc %{_mandir}/*/*
%doc README LICENSE CHANGELOG examples/*

%post
if [ "`gpg --list-keys | grep AFB66D7C`" != "pub  1024D/AFB66D7C 2002-04-28 fou4s build key <fou4s@gaugusch.at>" ] ; then
	echo Retrieving fou4s public key ...
	gpg --keyserver wwwkeys.ch.pgp.net --recv-keys AFB66D7C
	echo
fi
	echo If you are using fou4s via cron, please have a look at 
	echo /usr/share/doc/packages/fou4s/fou4s-crontab. The new crontab file contains
	echo some enhancements for more efficient update.
	echo Thank you.

%changelog -n fou4s
* Thu May 10 2002 - markus@gaugusch.at
- Released 0.3.0 
- Crontab notice in postscript
- Changed URL to fou4s.gaugusch.at
* Sun Apr 28 2002 - markus@gaugusch.at
- Package signing
- Postinstall script to get public key for fou4s
- More information in spec file (Packager, Distribution)
* Tue Apr 16 2002 - markus@gaugusch.at
- Released 0.2.1
- Released 0.2
* Sun Apr 14 2002 - markus@gaugusch.at
- Released 0.1
- Manual pages added
* Tue Apr 09 2002 - markus@gaugusch.at
- Bugfix release 0.0.4
* Sun Apr 07 2002 - markus@gaugusch.at
- first version as RPM
